> For the complete documentation index, see [llms.txt](https://docs.hubyte.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hubyte.de/dropshipping-bestellung-an-lieferanten-herstelle/english-documentation/supplier-in-storefront.md).

# Using the supplier in the storefront

The plugin makes the supplier object available at various places in the Shopware storefront. The following snippets can be used in custom theme overrides (Twig templates).

***

## Product detail page

```twig
{{ page.product.extensions.supplier }}                  {# Supplier object #}
{{ page.product.extensions.supplier.translated.name }}  {# Supplier name #}
```

***

## Offcanvas cart

```twig
{% for lineItem in page.cart.lineItems %}
  {{ lineItem.extensions.supplier }}                  {# Supplier object #}
  {{ lineItem.extensions.supplier.translated.name }}  {# Supplier name #}
{% endfor %}
```

***

## Cart & checkout pages (Cart, Checkout, Finish)

```twig
{% sw_extends '@Storefront/storefront/page/checkout/checkout-item.html.twig' %}

{% block page_checkout_item_info_ordernumber %}
{{ parent() }}

{{ lineItem.extensions.supplier }}                  {# Supplier object #}
{{ lineItem.extensions.supplier.translated.name }}  {# Supplier name #}
{% endblock %}
```

***

## Account order history

```twig
{% sw_extends '@Storefront/storefront/page/account/order-history/order-detail-list-item.html.twig' %}

{% block page_account_order_item_detail_variants %}
{{ parent() }}

{{ lineItem.extensions.supplier }}                  {# Supplier object #}
{{ lineItem.extensions.supplier.translated.name }}  {# Supplier name #}
{% endblock %}
```

***

## Documents (invoices, delivery notes)

```twig
{{ lineItem.extensions.supplier.translated.name }}
```

***

## Email templates

In dropshipping email templates the supplier name is available via the `item` object:

```twig
{{ item.supplier.translated.name }}
```

For all other email template variables see [Email templates](/dropshipping-bestellung-an-lieferanten-herstelle/english-documentation/email-templates.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hubyte.de/dropshipping-bestellung-an-lieferanten-herstelle/english-documentation/supplier-in-storefront.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
